<template>
  <div @click.prevent="logout" class="p-2 bg-yellow-600" v-if="user">
    {{user.username}}
  </div>
  <div v-else>
    <router-link to="/login">Login</router-link>
  </div>
</template>

<script>
import { mapGetters, mapActions } from 'vuex'

export default {
  computed: mapGetters(['user']),
  methods: {
    ...mapActions([ 'logoutUser' ]),
    async logout() {
      await this.logoutUser()
        this.$router.push('/login')
    }
  }
}
</script>

<style>

</style>
